For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTAmend contract
      • GETList contract amendments
LogoLogo
SupportDeel Home
EndpointsContractor Amendments

Amend contract

POST
/contracts/:contract_id/amendments
POST
/rest/v2/contracts/:contract_id/amendments
$curl -X POST https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {}
>}'
1{
2 "data": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "status": "pending",
5 "created": true,
6 "worker_id": "550e8400-e29b-41d4-a716-446655440001",
7 "created_at": "2023-12-01T10:30:00Z",
8 "updated_at": "2023-12-01T15:45:00Z",
9 "rate": 100,
10 "scale": "hourly",
11 "job_title": "Software Engineer",
12 "currency_code": "USD",
13 "scope_of_work": "Full-stack development",
14 "special_clause": "Remote work allowed",
15 "termination_notice_days": 30
16 }
17}

Submits an amendment to modify the details of an existing contract. If the contract is already signed or active, the amendment must be approved and re-signed before the changes take effect. Token scopes: contracts:write

Was this page helpful?
Previous

List contract amendments

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Request

Contract object that needs to be amended
dataobjectRequired
You can specify any combination of data points that need changing.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication